#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <iostream>
#include <vector>

#include <QDebug>
#include <QMainWindow>
#include <QSettings>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    // initialisation functions
    void initialiseGameGrid();
    void initialiseWindow();
    void initialiseMenuBar();

private:
    Ui::MainWindow *ui;
    const int n_rows;
    const int n_columns;
    const QStringList colors;
};
#endif // MAINWINDOW_H
